public class AffichageEntiersPairs {

/* Affichage de tous les entiers pairs entre 0 et n */

  static void afficherEntiersPairs(int n) {
    int i;
    for ( i = 0 ; i <= n ; i = i+2 ) {
      Ecran.afficher(i," "); }
  }

/* Programme principal                         */

  public static void main(String [] args) {
    int n;
    Ecran.afficher("SVP, n : ");
    n = Clavier.saisirInt();  
    afficherEntiersPairs(n);
    Ecran.afficherln();
  }
}